﻿//
// Copyright (c) 2008-2010, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;


namespace MindFusion.Scheduling.Silverlight.Samples.CS.CellPresenterSample
{
	public partial class MainPage : UserControl
	{
		private static readonly Color LightSalmon = Color.FromArgb(0xFF, 0xFF, 0xA0, 0x7A);
		private static readonly Color LightSkyBlue = Color.FromArgb(0xFF, 0x87, 0xCE, 0xFA);
		private static readonly Color PaleGoldenrod = Color.FromArgb(0xFF, 0xEE, 0xE8, 0xAA);
		private static readonly Color RosyBrown = Color.FromArgb(0xFF, 0xBC, 0x8F, 0x8F);
		private static readonly Color LightSteelBlue = Color.FromArgb(0xFF, 0xB0, 0xC4, 0xDE);

		public MainPage()
		{
			InitializeComponent();

			// During the initialization the calendar variable is still null and the
			// custom presenters could not be created. Force invalidation to recreate
			// the presenters
			calendar.BeginInit();
			calendar.EndInit();
		}

		private void calendar_CellPresenterCreating(object sender, CellPresenterCreatingEventArgs e)
		{
			if (calendar == null)
				return;

			e.CellPresenter = new AdvancedCellPresenter(calendar);
		}
	}
}
